# Schlumberger
# Copyright 2018 Schlumberger.  All rights reserved in Schlumberger authored and generated code (including the selection and arrangement of the source code base regardless of the authorship of individual files), but not including any copyright interest(s) owned by a third party related to source code or object code authored or generated by non-Schlumberger personnel.
# This source code includes Schlumberger confidential and/or proprietary information and may include Schlumberger trade secrets.  Any use, disclosure and/or reproduction is prohibited unless authorized in writing.
#

# ----------------------------------------------------------------------
# Set here variables to be defined for a specific cluster

CLUSTER_NAME=hpdaext1
EXPECTED_PROJECT_ID=mptc-external-1
JHUB_STATIC_EXTERNAL_IP_NAME=$(EXPECTED_PROJECT_ID)-$(CLUSTER_NAME)-jhub-global-ip

LOCAL_SECRET_DIR:=$(shell echo ~/local_secret)
PROJECT_ID:=$(shell gcloud info --format='value(config.project)')
GCLOUD_USER:=$(shell gcloud config list --format="value(core.account)")
ZONE=europe-west1-b
CLUSTER_MACHINE_TYPE=n1-standard-2
CLUSTER_NUM_NODES=2
FILESTORE_NAME=nfs
JHUB_NAMESPACE=jhub

# server-mptc-external-1-hpdaext1.cer
JHUB_TLS_CRT_FILE=$(LOCAL_SECRET_DIR)/server-$(EXPECTED_PROJECT_ID)-$(CLUSTER_NAME).cer
JHUB_TLS_KEY_FILE=$(LOCAL_SECRET_DIR)/server.key

JHUB_CONFIG_YAML_FILE=../../ml-lab-clusters/$(CLUSTER_NAME)/jhub_config.yaml

# ----------------------------------------------------------------------
DSPROXY_STATIC_EXTERNAL_IP_NAME=$(EXPECTED_PROJECT_ID)-$(CLUSTER_NAME)-dsproxy
DSPROXY_SAUTH_RCBID_ENCODED_P4D="MTY0NzUyNzZ7ImNsaWVudGlkIjoiaHBkYWV4dDFwcm94eS1kc3Byb3h5LnNsYmFwcC5jb20iLCAicmNiaWQiOiJocGRhZXh0MXByb3h5IiwgInJldHVybnRvIjoiaHR0cHM6Ly9ocGRhZXh0MS1wcm94eS5ldmQuY3NwLnNsYi5jb20vaG9tZSJ9NjY0Mjg4ODA="
# DSPROXY_KEY_JSON_FILENAME= hpda-dsproxy-$(EXPECTED_PROJECT_ID)-$(CLUSTER_NAME).json
DSPROXY_TLS_CRT_FILE=$(LOCAL_SECRET_DIR)/server-$(EXPECTED_PROJECT_ID)-$(CLUSTER_NAME)-proxy.cer
DSPROXY_TLS_KEY_FILE=$(LOCAL_SECRET_DIR)/server.key

# ----------------------------------------------------------------------
BUCKET_P_SERVICES=p_services_5kmjaxoxbyb3

# ----------------------------------------------------------------------
# ESP
ESP1_STATIC_EXTERNAL_IP_NAME=$(EXPECTED_PROJECT_ID)-$(CLUSTER_NAME)-esp1

# ----------------------------------------------------------------------
# Jupyter Hub Helm Chart
JHUB_HELM_CHART_VERSION="0.8.2"

# ----------------------------------------------------------------------
# Jupyter Hub Helm Chart
APACHE_SPARK_VERSION=2.4.7

# check
ifneq ($(EXPECTED_PROJECT_ID),$(PROJECT_ID))
$(error Current PROJECT_ID=$(PROJECT_ID) is not the one expected $(EXPECTED_PROJECT_ID) - may need some gcloud init)
endif

reset-makefile:
	cp -f ../shared/Makefile .
